App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Static Protected Attributes | List of all members
app::TFilter< TPIXEL, TCHANNEL > Class Template Referenceabstract

Třída definuje pouze interface společný pro všechny filtry. More...

`#include <TFilter.hpp>`

Inheritance diagram for app::TFilter< TPIXEL, TCHANNEL >:

## Public Member Functions
virtual | ~TFilter ()
virtual int | applyTo (TBitmap< TPIXEL, TCHANNEL > &bitmap, Rect dstRect)
virtual int | applyTo (TBitmap< TPIXEL, TCHANNEL > &bitmap, Rect dstRect, double alpha)
virtual int | applyTo (TBitmap< TPIXEL, TCHANNEL > &bitmap, TBitmap< TCHANNEL, TCHANNEL > &msk, Rect mskRect, Point mskOrig)
virtual int | applyTo (TBitmap< TPIXEL, TCHANNEL > &bitmap, TBitmap< TCHANNEL, TCHANNEL > &msk, Rect mskRect, Point mskOrig, double alpha)
virtual int | isInitOk ()=0

## Protected Member Functions
virtual int | applyTo_1ch (TBitmap< TPIXEL, TCHANNEL > &bitmap, Rect dstArea)
virtual int | applyTo_1ch (TBitmap< TPIXEL, TCHANNEL > &bitmap, Rect dstRect, double alpha)
virtual int | applyTo_1ch (TBitmap< TPIXEL, TCHANNEL > &bitmap, TBitmap< TCHANNEL, TCHANNEL > &msk, Rect mskRect, Point mskOrig)
virtual int | applyTo_1ch (TBitmap< TPIXEL, TCHANNEL > &bitmap, TBitmap< TCHANNEL, TCHANNEL > &msk, Rect mskRect, Point mskOrig, double alpha)
virtual int | applyTo_4ch (TBitmap< TPIXEL, TCHANNEL > &bitmap, Rect dstRect)
virtual int | applyTo_4ch (TBitmap< TPIXEL, TCHANNEL > &bitmap, Rect dstRect, double alpha)
virtual int | applyTo_4ch (TBitmap< TPIXEL, TCHANNEL > &bitmap, TBitmap< TCHANNEL, TCHANNEL > &msk, Rect mskRect, Point mskOrig)
virtual int | applyTo_4ch (TBitmap< TPIXEL, TCHANNEL > &bitmap, TBitmap< TCHANNEL, TCHANNEL > &msk, Rect mskRect, Point mskOrig, double alpha)

## Static Protected Attributes
static const TCHANNEL | maxVal = ~0
| Maximální hodnota kanálu.
static const unsigned | chCount = sizeof(TPIXEL) / sizeof(TCHANNEL)
| Počet kanálů bitmapy.

## Detailed Description

### template<typename TPIXEL, typename TCHANNEL>
class app::TFilter< TPIXEL, TCHANNEL >

Třída definuje pouze interface společný pro všechny filtry.

Definition at line 24 of file TFilter.hpp.

## Constructor & Destructor Documentation

template<typename TPIXEL , typename TCHANNEL >

TFilter< TPIXEL, TCHANNEL >::~TFilter | ( |  | ) |
| virtual

Definition at line 14 of file TFilter.cpp.

{
}

## Member Function Documentation

template<typename TPIXEL , typename TCHANNEL >

int TFilter< TPIXEL, TCHANNEL >::applyTo | ( | TBitmap< TPIXEL, TCHANNEL > & | bitmap,
|  | Rect | dstRect
| ) |  |
| virtual

Definition at line 52 of file TFilter.cpp.

{
if (chCount == 1) {
return applyTo_1ch(bitmap, dstRect);
} else if (chCount == 4) {
return applyTo_4ch(bitmap, dstRect);
} else {
return 888;
}
}
template<typename TPIXEL , typename TCHANNEL >

int TFilter< TPIXEL, TCHANNEL >::applyTo | ( | TBitmap< TPIXEL, TCHANNEL > & | bitmap,
|  | Rect | dstRect,
|  | double | alpha
| ) |  |
| virtual

Definition at line 62 of file TFilter.cpp.

{
if (chCount == 1) {
return applyTo_1ch(bitmap, dstRect, alpha);
} else if (chCount == 4) {
return applyTo_4ch(bitmap, dstRect, alpha);
} else {
return 888;
}
}
template<typename TPIXEL , typename TCHANNEL >

int TFilter< TPIXEL, TCHANNEL >::applyTo | ( | TBitmap< TPIXEL, TCHANNEL > & | bitmap,
|  | TBitmap< TCHANNEL, TCHANNEL > & | msk,
|  | Rect | mskRect,
|  | Point | mskOrig
| ) |  |
| virtual

Definition at line 72 of file TFilter.cpp.

{
if (chCount == 1) {
return applyTo_1ch(bitmap, msk, mskRect, mskOrig);
} else if (chCount == 4) {
return applyTo_4ch(bitmap, msk, mskRect, mskOrig);
} else {
return 888;
}
}
template<typename TPIXEL , typename TCHANNEL >

int TFilter< TPIXEL, TCHANNEL >::applyTo | ( | TBitmap< TPIXEL, TCHANNEL > & | bitmap,
|  | TBitmap< TCHANNEL, TCHANNEL > & | msk,
|  | Rect | mskRect,
|  | Point | mskOrig,
|  | double | alpha
| ) |  |
| virtual

Definition at line 82 of file TFilter.cpp.

{
if (chCount == 1) {
return applyTo_1ch(bitmap, msk, mskRect, mskOrig, alpha);
} else if (chCount == 4) {
return applyTo_4ch(bitmap, msk, mskRect, mskOrig, alpha);
} else {
return 888;
}
}
template<typename TPIXEL , typename TCHANNEL >

int TFilter< TPIXEL, TCHANNEL >::applyTo_1ch | ( | TBitmap< TPIXEL, TCHANNEL > & | bitmap,
|  | Rect | dstArea
| ) |  |
| protectedvirtual

Reimplemented in app::TSeparableFilter< TPIXEL, TCHANNEL >, and app::TLinearFilter< TPIXEL, TCHANNEL >.

Definition at line 18 of file TFilter.cpp.

{
return 999;
}
template<typename TPIXEL , typename TCHANNEL >

int TFilter< TPIXEL, TCHANNEL >::applyTo_1ch | ( | TBitmap< TPIXEL, TCHANNEL > & | bitmap,
|  | Rect | dstRect,
|  | double | alpha
| ) |  |
| protectedvirtual

Definition at line 22 of file TFilter.cpp.

{
return 999;
}
template<typename TPIXEL , typename TCHANNEL >

int TFilter< TPIXEL, TCHANNEL >::applyTo_1ch | ( | TBitmap< TPIXEL, TCHANNEL > & | bitmap,
|  | TBitmap< TCHANNEL, TCHANNEL > & | msk,
|  | Rect | mskRect,
|  | Point | mskOrig
| ) |  |
| protectedvirtual

Definition at line 26 of file TFilter.cpp.

{
return 999;
}
template<typename TPIXEL , typename TCHANNEL >

int TFilter< TPIXEL, TCHANNEL >::applyTo_1ch | ( | TBitmap< TPIXEL, TCHANNEL > & | bitmap,
|  | TBitmap< TCHANNEL, TCHANNEL > & | msk,
|  | Rect | mskRect,
|  | Point | mskOrig,
|  | double | alpha
| ) |  |
| protectedvirtual

Definition at line 30 of file TFilter.cpp.

{
return 999;
}
template<typename TPIXEL , typename TCHANNEL >

int TFilter< TPIXEL, TCHANNEL >::applyTo_4ch | ( | TBitmap< TPIXEL, TCHANNEL > & | bitmap,
|  | Rect | dstRect
| ) |  |
| protectedvirtual

Reimplemented in app::TSeparableFilter< TPIXEL, TCHANNEL >, and app::TLinearFilter< TPIXEL, TCHANNEL >.

Definition at line 35 of file TFilter.cpp.

{
return 999;
}
template<typename TPIXEL , typename TCHANNEL >

int TFilter< TPIXEL, TCHANNEL >::applyTo_4ch | ( | TBitmap< TPIXEL, TCHANNEL > & | bitmap,
|  | Rect | dstRect,
|  | double | alpha
| ) |  |
| protectedvirtual

Reimplemented in app::TSeparableFilter< TPIXEL, TCHANNEL >, and app::TLinearFilter< TPIXEL, TCHANNEL >.

Definition at line 39 of file TFilter.cpp.

{
return 999;
}
template<typename TPIXEL , typename TCHANNEL >

int TFilter< TPIXEL, TCHANNEL >::applyTo_4ch | ( | TBitmap< TPIXEL, TCHANNEL > & | bitmap,
|  | TBitmap< TCHANNEL, TCHANNEL > & | msk,
|  | Rect | mskRect,
|  | Point | mskOrig
| ) |  |
| protectedvirtual

Reimplemented in app::TSeparableFilter< TPIXEL, TCHANNEL >, and app::TLinearFilter< TPIXEL, TCHANNEL >.

Definition at line 43 of file TFilter.cpp.

{
return 999;
}
template<typename TPIXEL , typename TCHANNEL >

int TFilter< TPIXEL, TCHANNEL >::applyTo_4ch | ( | TBitmap< TPIXEL, TCHANNEL > & | bitmap,
|  | TBitmap< TCHANNEL, TCHANNEL > & | msk,
|  | Rect | mskRect,
|  | Point | mskOrig,
|  | double | alpha
| ) |  |
| protectedvirtual

Reimplemented in app::TSeparableFilter< TPIXEL, TCHANNEL >, and app::TLinearFilter< TPIXEL, TCHANNEL >.

Definition at line 47 of file TFilter.cpp.

{
return 999;
}
template<typename TPIXEL, typename TCHANNEL>

virtual int app::TFilter< TPIXEL, TCHANNEL >::isInitOk | ( |  | ) |
| pure virtual

Implemented in app::TLinearFilter< TPIXEL, TCHANNEL >, and app::TSeparableFilter< TPIXEL, TCHANNEL >.

## Member Data Documentation

template<typename TPIXEL, typename TCHANNEL>

const unsigned TFilter< TPIXEL, TCHANNEL >::chCount = sizeof(TPIXEL) / sizeof(TCHANNEL)
| staticprotected

Počet kanálů bitmapy.

Definition at line 27 of file TFilter.hpp.

template<typename TPIXEL, typename TCHANNEL>

const TCHANNEL TFilter< TPIXEL, TCHANNEL >::maxVal = ~0
| staticprotected

Maximální hodnota kanálu.

Definition at line 26 of file TFilter.hpp.

The documentation for this class was generated from the following files:

- /home/xxx/eclipse_workspaces/app/appcore/jni/app/filters/TFilter.hpp
- /home/xxx/eclipse_workspaces/app/appcore/jni/app/filters/TFilter.cpp